Get accounts for a channel
curl --request GET \
--url https://api.hubapi.com/conversations/custom-channels/2026-03/{channelId}/channel-accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/conversations/custom-channels/2026-03/{channelId}/channel-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/conversations/custom-channels/2026-03/{channelId}/channel-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"active": true,
"archived": true,
"authorized": true,
"channelId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"inboxId": "<string>",
"name": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"deliveryIdentifier": {
"value": "<string>"
}
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Channel accounts
Get accounts for a channel
Retrieve a list of accounts for a custom channel.
GET
/
conversations
/
custom-channels
/
2026-03
/
{channelId}
/
channel-accounts
Get accounts for a channel
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Query Parameters
The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.
Whether to return only results that have been archived.
Available options:
HS_EMAIL_ADDRESS, HS_PHONE_NUMBER, HS_SHORT_CODE, CHANNEL_SPECIFIC_OPAQUE_ID The maximum number of results to display per page.
Last modified on March 31, 2026
Was this page helpful?
⌘I